package com.changhu.module.management.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changhu.module.management.pojo.entity.ManagementSecurityUnitUser;
import com.changhu.module.management.pojo.params.ManagementSecurityUnitUserSaveOrUpdateParams;
import com.changhu.module.management.pojo.queryParams.ManagementSecurityUnitUserPagerQueryParams;
import com.changhu.module.management.pojo.vo.ManagementSecurityUnitUserPagerVo;
import com.changhu.support.mybatisplus.pojo.params.PageParams;

/**
 * management_security_unit_user (后台-保安单位用户表)  服务类
 * author: luozhun
 * desc 由groovy脚本自动生成
 */
public interface ManagementSecurityUnitUserService extends IService<ManagementSecurityUnitUser> {

    /**
     * 新增或者修改
     *
     * @param saveOrUpdateParams 参数
     */
    void saveOrUpdate(ManagementSecurityUnitUserSaveOrUpdateParams saveOrUpdateParams);

    /**
     * 分页查询
     *
     * @param queryParams 查询参数
     * @return 分页结果
     */
    Page<ManagementSecurityUnitUserPagerVo> pager(PageParams<ManagementSecurityUnitUserPagerQueryParams, ManagementSecurityUnitUserPagerVo> queryParams);

    /**
     * 根据id删除
     *
     * @param managementSecurityUnitUserId 后台保安用户id
     */
    void deleteById(Long managementSecurityUnitUserId);
}
